<template>
  <portal-page class="q-px-lg">
    <div class="row q-gutter-lg">
      <div class="col">
        <p
          :class="
            USER_ROLE === 'job-seeker'
              ? 'title-msg title-medium text-light-blue-10'
              : 'title-msg title-medium text-green-10'
          "
        >
          Settings
        </p>
      </div>
    </div>

    <settings-card />
    <div class="row q-mt-xl flex justify-center">
      <div style="width: 450px">
        <q-separator inset />
      </div>
    </div>
    <delete-account />
  </portal-page>
</template>

<script>
import { LocalStorage } from "quasar";
import PortalPage from "src/layouts/portals/PortalPage.vue";
import SettingsCard from "../components/cards/SettingsCard.vue";
import DeleteAccount from "src/components/DeleteAccount.vue";
import { defineComponent, ref } from "vue";

export default defineComponent({
  name: "SettingsPage",
  components: {
    PortalPage,
    SettingsCard,
    DeleteAccount,
  },

  setup() {
    const USER_ROLE = ref(LocalStorage.getItem("auth").user_type);
    return {
      USER_ROLE,
    };
  },
});
</script>

<style lang="scss" scoped>
.title-msg {
  margin: 0 !important;
  padding-top: 35px !important;
  padding-bottom: 35px !important;
}
</style>
